import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

@FacesConverter(value="DateConverter",forClass=java.util.Date.class)
public class DateConverter implements Converter
{
private final static DateFormat FORMAT = new SimpleDateFormat("dd.MM.yyyy HH:mm:ss");

public Object getAsObject(FacesContext arg0,UIComponent arg1,String arg2)
  {
   try
     {
      return FORMAT.parse(arg2);
     }
   catch (ParseException e)
     {
      e.printStackTrace();
     }
   
   return null;
  }

public String getAsString(FacesContext arg0,UIComponent arg1,Object arg2)
  {
   return FORMAT.format(arg2);
  }
}